Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
admin
/
models
List Models
curl --request GET \
  --url https://api.tensormesh.ai/v1/admin/models \
  --header 'Authorization: Bearer <token>'
{
  "models": [
    {
      "modelId": "<string>",
      "deploymentId": "<string>",
      "userId": "<string>",
      "description": "<string>",
      "modelPath": "<string>",
      "modelName": "<string>",
      "status": "MODEL_STATUS_UNSPECIFIED",
      "events": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "log": "<string>",
          "eventType": "EVENT_TYPE_UNSPECIFIED"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "modelSpec": {},
      "infra": {
        "cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
        "nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
        "lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
        "onpremRegion": "<string>"
      },
      "gpuCount": 123,
      "gpuType": "GPU_TYPE_UNSPECIFIED",
      "replicas": 123,
      "endpoint": "<string>",
      "apiKey": "<string>"
    }
  ],
  "page": 123,
  "size": 123,
  "total": 123
}
Use this group for admin model-management operations. Common operations:

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the operator user.

page
integer<int64>

Page number (1-based).

size
integer<int64>

Page size.

Response

A successful response.

AdminModelServiceListModelsResponse is the response for listing models.

models
object[]

All non-deleted models.

page
integer<int64>

Current page number.

size
integer<int64>

Page size.

total
integer<int64>

Total number of models.